Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi.registry
Interface RegistryHandler

Deprecated. no replacement

    @Deprecated
    public interface RegistryHandler

`RegistryHandler` is an interface used internally by the RMI runtime in previous implementation versions. It should never be accessed by application code.

Since:
  JDK1.1

Method Summary
`Registry` | `registryImpl(int port)` Deprecated. no replacement. As of the Java 2 platform v1.2, RMI no longer uses the `RegistryHandler` to obtain the registry's implementation.
`Registry` | `registryStub(String host, int port)` Deprecated. no replacement. As of the Java 2 platform v1.2, RMI no longer uses the `RegistryHandler` to obtain the registry's stub.

Method Detail

### registryStub

    @Deprecated
    Registry registryStub(String host,
                                     int port)
                          throws RemoteException,
                                 UnknownHostException

  Deprecated. no replacement. As of the Java 2 platform v1.2, RMI no longer uses the `RegistryHandler` to obtain the registry's stub.

  Returns a "stub" for contacting a remote registry on the specified host and port.

  Parameters:
    `host` - name of remote registry host
    `port` - remote registry port
  Returns:
    remote registry stub
  Throws:
    `RemoteException` - if a remote error occurs
    `UnknownHostException` - if unable to resolve given hostname

### registryImpl

    @Deprecated
    Registry registryImpl(int port)
                          throws RemoteException

  Deprecated. no replacement. As of the Java 2 platform v1.2, RMI no longer uses the `RegistryHandler` to obtain the registry's implementation.

  Constructs and exports a Registry on the specified port. The port must be non-zero.

  Parameters:
    `port` - port to export registry on
  Returns:
    registry stub
  Throws:
    `RemoteException` - if a remote error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.